# Method Protocols.HTTP.Query()->cast()

Method cast

  `(`array`)Protocols.HTTP.Query()`

Returns

  Array
  ``mapping` `0`` | Headers
  ``string` `1`` | Data
  ``string` `2`` | Protocol
  ``int` `3`` | Status
  ``string` `4`` | Status description

Method cast

  `(`mapping`)Protocols.HTTP.Query()`

Returns

  The header mapping ORed with the following mapping.

  ``"protocol"` : `string`` | The protocol.
  ``"status"` : `int`` | The status code.
  ``"status_desc"` : `string`` | The status description.
  ``"data"` : `string`` | The returned data.

Method cast

  `(`string`)Protocols.HTTP.Query()`

Description

  Gives back the answer as a string.